Skip to main content
GET
/
api
/
v1
/
roles
/
{id}
Get role
curl --request GET \
  --url https://api.rafftechnologies.com/api/v1/roles/{id} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Operator",
    "slug": "operator",
    "scope": "account",
    "permissions": [
      "<string>"
    ],
    "is_system": true,
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rafftechnologies.com/llms.txt

Use this file to discover all available pages before exploring further.

Updated May 8, 2026

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

Role ID (UUID)

Response

Role details

success
boolean
data
object
Last modified on May 9, 2026